Bug 211256 - (viaideinfo) Review Request: viaideinfo - Displays information on connected VIA IDE controllers
Review Request: viaideinfo - Displays information on connected VIA IDE contro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-18 02:23 EDT by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 03:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-10-18 02:23:01 EDT
Spec URL: http://thecodergeek.com/downloads/fedora/viaideinfo.spec
SRPM URL: http://thecodergeek.com/downloads/fedora/viaideinfo-0.4-1.src.rpm

This command-line application identifies VIA IDE controllers installed in the
computer, and displays various information/statistics regarding these. This
does not depend on the via82cxxx kernel IDE driver, and will work regardless of
whether it is present or not. All this information used to be available through
/proc/ide/via; however this file was removed in Linux 2.6.15 to reduce the
complexity of the IDE driver. Since it performs some basic port I/O, it must be
run as root.

rpmlint is silent on both the binary and source RPMs.
Comment 1 Kevin Fenzi 2006-10-19 00:21:08 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
e436a580eb8a047a0551cb996b11e6f5  viaideinfo-0.4.tar.gz
e436a580eb8a047a0551cb996b11e6f5  viaideinfo-0.4.tar.gz.1
OK - Package has Exclusivearch
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Since this package has
ExclusiveArch:  %{ix86}
I assume none of the supported VIA chipsets are shipped on
x86_64?

Works fine on my firewall machine with a VT82C586A/B.

I don't see any blockers here at all, so this package is
APPROVED. Don't forget to close this review request with
NEXTRELEASE once it's been imported and built.

Consider reviewing another waiting package to help spread
out the reviewing load.
Comment 2 Peter Gordon 2006-10-19 02:48:27 EDT
(In reply to comment #1)
> 1. Since this package has
> ExclusiveArch:  %{ix86}
> I assume none of the supported VIA chipsets are shipped on
> x86_64?
Daniel Drake, the upstream maintainer, is also the person who maintains the
package in Gentoo's Portage. In that, it's keyworded as x86-only. I'll email him
about that just to be sure, though. :)

> Consider reviewing another waiting package to help spread
> out the reviewing load.
I really should. I'll see what I can get tomorrow after work. 

Importing now...thanks for the review!
Comment 3 Peter Gordon 2006-10-19 03:00:50 EDT
Imported, FC-5 branch requested, and devel build running on the build system.
Thanks for the review! :)
Comment 4 Christian Iseli 2006-10-19 05:01:44 EDT
Please do not remove the blocker on FE-ACCEPT
Comment 5 Peter Gordon 2006-10-19 15:29:01 EDT
(In reply to comment #4)
> Please do not remove the blocker on FE-ACCEPT

Ack. Sorry about that; and thanks, Christian.
Comment 6 Christian Iseli 2006-10-20 05:39:56 EDT
(In reply to comment #5)
> Ack. Sorry about that; and thanks, Christian.

np :-)

Note You need to log in before you can comment on or make changes to this bug.